%#########################################################################%
%	Numerics of Partial Differential Equations, Sample Exercise		      %
%	University of Konstanz, Winter semester 2017/2018, Prof. Dr. Volkwein %
%   Authors: Luca Mechelli, Jianjie Lu, {luca.mechelli,jianjie.lu}@uni.kn %
%#########################################################################%


function [ I ] = midpointrule(x,dx,f)
% Compute the midpoint-rule approximation of the integral of f(x) in [a,b]
% Input:  x: spatial discretization
%         dx: discretization step
%         f: function to integrate
% Output: I: the approximated value of the integral of f(x) in [a,b]


%% Definition of the midpoint-rule
I = dx*sum(f((x(1:end-1)+x(2:end))*0.5));

end

